ustrzncpy(3)

NAME
ustrzncpy

SYNOPSIS
#include <allegro.h>

char *ustrzncpy(char *dest, int size, const char *src, int n);

DESCRIPTION
This function is like ustrzcpy() except that no more than n characters from src are copied into dest. If src is shorter than n characters, NULL characters are appended to dest as padding until n characters have been written. Note that dest is guaranteed to be NULL-terminated. The return value is the value of dest.

SEE ALSO
uconvert(3), ustrzcpy(3), ustrncpy(3)